Loading...
Searching...
No Matches
lightning.h File Reference

Lightning rendering - CLightning class (aka blitz). More...

`#include "math/point.h"`
`#include "math/vector.h"`
`#include <vector>`
Include dependency graph for lightning.h:

## Classes

class | Gfx::CLightning
| Lightning effect renderer. More...
struct | Gfx::CLightning::LightningSegment

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Variables

const float | Gfx::LTNG_PROTECTION_RADIUS = 200.0f
| Radius of lightning protection.

## Detailed Description

Lightning rendering - CLightning class (aka blitz).